slepc-3.21.1 2024-04-26
Report Typos and Errors

# BVGetLeadingDimension

Returns the leading dimension of the BV.

### Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVGetLeadingDimension(BV bv,PetscInt *ld)

Not Collective

### Input Parameter

| bv | - the basis vectors

### Output Parameter

| ld | - the leading dimension

### Notes

The returned value may be different in different processes.

The leading dimension must be used when accessing the internal array via BVGetArray() or BVGetArrayRead().

### See Also

BVSetLeadingDimension(), BVGetArray(), BVGetArrayRead()

### Level

advanced

### Location

src/sys/classes/bv/interface/bvbasic.c
Index of all BV routines
Table of Contents for all manual pages
Index of all manual pages